From 7594024f0ede1ec51411f61a116f4269905ff5e5 Mon Sep 17 00:00:00 2001
From: Ralf Jung <jung@mpi-sws.org>
Date: Mon, 6 Feb 2017 17:04:16 +0100
Subject: [PATCH] update buildsystem

---
 Makefile           | 14 +++-----------
 _CoqProject        |  1 +
 build/opam-pins.sh |  9 +++++++--
 3 files changed, 11 insertions(+), 13 deletions(-)

diff --git a/Makefile b/Makefile
index 9ae0abe1..df9d03fb 100644
--- a/Makefile
+++ b/Makefile
@@ -3,14 +3,6 @@ ifeq ($(Y), 1)
 	YFLAG=-y
 endif
 
-# Determine Coq version
-COQ_VERSION=$(shell coqc --version | egrep -o 'version 8.[0-9]' | egrep -o '8.[0-9]')
-COQ_MAKEFILE_FLAGS ?=
-
-ifeq ($(COQ_VERSION), 8.6)
-	COQ_MAKEFILE_FLAGS += -arg -w -arg -notation-overridden,-redundant-canonical-projection,-several-object-files
-endif
-
 # Forward most targets to Coq makefile (with some trick to make this phony)
 %: Makefile.coq phony
 	+@make -f Makefile.coq $@
@@ -32,9 +24,9 @@ Makefile.coq: _CoqProject Makefile awk.Makefile
 build-dep:
 	build/opam-pins.sh < opam.pins
 	opam upgrade $(YFLAG) # it is not nice that we upgrade *all* packages here, but I found no nice way to upgrade only those that we pinned
-	opam pin add coq-lambda-rust "$$(pwd)#HEAD" -k git -n -y
-	opam install coq-lambda-rust --deps-only $(YFLAG)
-	opam pin remove coq-lambda-rust
+	opam pin add opam-builddep-temp "$$(pwd)#HEAD" -k git -n -y
+	opam install opam-builddep-temp --deps-only $(YFLAG)
+	opam pin remove opam-builddep-temp
 
 # Some files that do *not* need to be forwarded to Makefile.coq
 Makefile: ;
diff --git a/_CoqProject b/_CoqProject
index fa71794f..f801938f 100644
--- a/_CoqProject
+++ b/_CoqProject
@@ -1,4 +1,5 @@
 -Q theories lrust
+-arg -w -arg -notation-overridden,-redundant-canonical-projection,-several-object-files
 theories/lifetime/model/definitions.v
 theories/lifetime/model/faking.v
 theories/lifetime/model/creation.v
diff --git a/build/opam-pins.sh b/build/opam-pins.sh
index 669cd99b..aafd133f 100755
--- a/build/opam-pins.sh
+++ b/build/opam-pins.sh
@@ -4,18 +4,23 @@ set -e
 ## Usage:
 ##   ./opam-pins.sh < opam.pins
 
+if ! which curl; then
+    echo "opam-pins needs curl. Please install curl and try again."
+    exit 1
+fi
+
 # Process stdin
 while read PACKAGE URL HASH; do
     if echo "$URL" | egrep '^https://gitlab\.mpi-sws\.org' > /dev/null; then
         echo "[opam-pins] Recursing into $URL"
         # an MPI URL -- try doing recursive pin processing
-        curl -f "$URL/raw/$HASH" 2> /dev/null | "$0"
+        curl -f "$URL/raw/$HASH/opam.pins" 2>/dev/null | "$0"
     fi
     if opam pin list | fgrep "$PACKAGE.dev.$HASH " > /dev/null; then
         echo "[opam-pins] $PACKAGE already at commit $HASH"
     else
         echo "[opam-pins] Applying pin: $PACKAGE -> $URL#$HASH"
         opam pin add "$PACKAGE.dev.$HASH" "$URL#$HASH" -k git -y -n
+        echo
     fi
-    echo
 done
-- 
GitLab